Name:             magic
Version:          8.0.60
Release:          6%{?dist}
Summary:          A very capable VLSI layout tool

License:          GPLv2
Group:            Applications/Engineering
URL:              http://opencircuitdesign.com/%{name}/index.html

Source:           http://opencircuitdesign.com/%{name}/archive/%{name}-%{version}.tgz
Source1:          %{name}.desktop
Source2:          %{name}.png
Patch0:           %{name}-verbose.patch
Patch1:           %{name}-7.4.35-64bit.patch

BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:    libXi-devel libXmu-devel libXext-devel mesa-libGLU-devel blt tcsh
BuildRequires:    desktop-file-utils tk-devel mesa-libGLw-devel mesa-libGL-devel m4

Requires:         tcsh
# Special FEL Gnome/KDE menu structure
Requires:         electronics-menu

%description
Magic is a venerable VLSI layout tool. Magic VLSI remains
popular with universities and small companies.

Magic is widely cited as being the easiest tool to use for
circuit layout, even for people who ultimately rely on commercial
tools for their product design flow.

%package doc
Summary:          Documentation for magic, A very capable VLSI layout tool
Group:            Documentation
Requires:         %{name} = %{version}-%{release}


%description doc
This package contains the documentation of magic in the postscript
and some tutorials.


%prep
# tarball includes unneeded symlink, so we firstly
# create a directory and expand tarball there.
%setup -q -T -c %{name}-%{version} -a 0


cd %{name}-%{version}
%{__sed} -i.cflags -e 's|CFLAGS=.*CFLAGS|:|' configure

sed -i "s|/usr/local/bin/tclsh|%{_bindir}/tclsh|" tcltk/strip_reflibs.tcl
sed -i "s|package require -exact|package require|" tcltk/tkcon.tcl

%patch0 -p0 -b .verbose

%ifarch x86_64 sparc64 ppc64 amd64
%patch1 -p0 -b .64bit
%endif

%build

export WISH=%{_bindir}/wish

cd %{name}-%{version}

%configure --with-gnu-ld\
   --with-tcl=%{_libdir}     \
   --with-tk=%{_libdir}      \
   --with-tcllibs=%{_libdir} \
   --with-tklibs=%{_libdir}

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}

cd %{name}-%{version}
%{__make} install                \
    DESTDIR=%{buildroot}         \
    INSTALL="%{__install} -c -p" \
    CP="%{__cp} -p"

desktop-file-install --vendor ""                \
    --dir %{buildroot}%{_datadir}/applications/ \
    %{SOURCE1}

# applying timestamps
%{__cp} -pr README* TODO VERSION scmos/ ..

%{__cp} -pr %{buildroot}%{_libdir}/%{name}/{doc/,tutorial} ..
%{__rm} -rf %{buildroot}%{_libdir}/%{name}/{doc/,tutorial}

%{__rm} -f doc/html/Makefile

chmod -x %{buildroot}%{_libdir}/%{name}/tcl/console.tcl

%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/
%{__cp} -p %{SOURCE2} %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png


%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database &> /dev/null || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
update-desktop-database &> /dev/null || :

%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README* TODO VERSION
%{_bindir}/%{name}
%{_bindir}/spice2sim
%{_bindir}/ext2sim
%{_bindir}/ext2spice
%{_libdir}/%{name}/
%{_mandir}/man?/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

%files doc
%defattr(-,root,root,-)
%doc doc/ tutorial/ scmos/


%changelog
* Wed Jul 31 2013 Ville Skyttä <ville.skytta@iki.fi> - 8.0.60-6
- Drop unneeded %%install doc dir creation.

* Tue Mar 16 2010 Thibault North <tnorth [AT] fedoraproject DOT org> - 8.0.60-1
- new upstream release with minor fixes

* Fri Aug 28 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 8.0.54-1
- new upstream release

* Wed Jan 07 2009 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 7.5.169-1
- new upstream release

* Thu Dec 15 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 7.5.168-1
- new upstream release

* Thu Aug 28 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 7.5.147-1
- new upstream release

* Fri Aug 15 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 7.5.146-1
- new upstream release

* Mon May 26 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 7.5.140-1
- new upstream release

* Mon Apr 28 2008 Aanjhan Ranganathan <tuxmaniac [AT] fedoraproject DOT org> - 7.5.129-3
- Build error resolved.

* Sun Apr 27 2008 Aanjhan Ranganathan <tuxmaniac [AT] fedoraproject DOT org> - 7.5.129-2
- Fixed appearance on the menu, popular demand

* Sun Apr 08 2008 Thibault North <tnorth [AT] fedoraproject DOT org>  -  7.5.129-1
- new upstream release
- opting the FEL relating menu structure
- Fixed compilation for current Tk version

* Fri Feb 08 2008 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 7.5.116-1
- new upstream release

* Fri Aug 24 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 7.4.35-6
- mass rebuild for fedora 8 - ppc

* Sun Jul 08 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 7.4.35-5
- patching properly

* Sun Jul 08 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 7.4.35-4
- patching properly

* Sun Jul 08 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 7.4.35-3
- fix for 64 bit with respect to a hardcoded autopath
- fix for %%post and %%postun - #246778

* Thu Jun 21 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 7.4.35-2
- fix desktop file #241443

* Wed Feb 22 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 7.4.35-1
- New upstream release
- added mimetype

* Wed Feb 22 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 7.4.33-6
- Fixed shebang

* Mon Feb 05 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 7.4.33-5
- fixed documentation locations

* Sat Feb 03 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 7.4.33-4
- CFLAGS fix improved
- tarball includes unneeded symlink, firstly create a directory and expand tarball there.
- added timestamps support

* Thu Feb 01 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 7.4.33-3
- fix for CFLAGS

* Sat Jan 20 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 7.4.33-2
- Fix presence of magic in gnome menu

* Fri Jan 19 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> - 7.4.33-1
- Initial package for Fedora Extras.
